This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1290499 - Review Request: perl-CPAN-Common-Index - Common library for searching CPAN modules, authors and distributions
Review Request: perl-CPAN-Common-Index - Common library for searching CPAN mo...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On: 1290495
Blocks: 1290542
  Show dependency treegraph
 
Reported: 2015-12-10 11:58 EST by Petr Šabata
Modified: 2016-02-16 10:26 EST (History)
2 users (show)

See Also:
Fixed In Version: perl-CPAN-Common-Index-0.006-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-16 10:26:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Petr Šabata 2015-12-10 11:58:36 EST
Spec URL: https://psabata.fedorapeople.org/pkgs/perl-CPAN-Common-Index/perl-CPAN-Common-Index.spec
SRPM URL: https://psabata.fedorapeople.org/pkgs/perl-CPAN-Common-Index/perl-CPAN-Common-Index-0.006-1.fc23.src.rpm
Description:
This module provides a common library for working with a variety of CPAN
index services. It is intentionally minimalist, trying to use as few non-
core modules as possible.
Fedora Account System Username: psabata
Comment 1 Jitka Plesnikova 2015-12-14 06:55:10 EST
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-CPAN-Common-Index-0.006-1.fc24.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.22.0)
      1 perl(:VERSION) >= 5.8.1
      1 perl(CPAN::Common::Index)
      1 perl(CPAN::Common::Index::Mirror)
      1 perl(CPAN::DistnameInfo)
      1 perl(CPAN::Meta::YAML)
      1 perl(Carp)
      1 perl(Class::Tiny)
      1 perl(File::Basename)
      1 perl(File::Fetch)
      1 perl(File::Temp) >= 0.19
      1 perl(HTTP::Tiny)
      1 perl(IO::Uncompress::Gunzip)
      1 perl(Module::Load)
      1 perl(Path::Tiny)
      1 perl(Search::Dict) >= 1.07
      1 perl(Tie::Handle::SkipHeader)
      1 perl(URI)
      1 perl(parent)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-CPAN-Common-Index-0.006-1.fc24.noarch.rpm | sort | uniq -c
      1 perl(CPAN::Common::Index::LocalPackage) = 0.006
      1 perl(CPAN::Common::Index::MetaDB) = 0.006
      1 perl(CPAN::Common::Index::Mirror) = 0.006
      1 perl(CPAN::Common::Index::Mux::Ordered) = 0.006
      1 perl-CPAN-Common-Index = 0.006-1.fc24
Binary provides are Ok.

$ rpmlint ./perl-CPAN-Common-Index*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Rpmlint is ok

The package looks good.
Approved
Comment 2 Gwyn Ciesla 2015-12-14 09:19:45 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-CPAN-Common-Index
Comment 3 Fedora Update System 2015-12-14 12:02:06 EST
perl-CPAN-Common-Index-0.006-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a02090498b
Comment 4 Fedora Update System 2015-12-15 05:52:59 EST
perl-CPAN-Common-Index-0.006-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-CPAN-Common-Index'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a02090498b
Comment 5 Fedora Update System 2015-12-22 17:04:00 EST
perl-CPAN-Common-Index-0.006-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.